### A free/open-source library for quantitative finance

Typedefs
ql/methods/finitedifferences/fdtypedefs.hpp File Reference

default choices for template instantiations More...

`#include <ql/methods/finitedifferences/cranknicolson.hpp>`
`#include <ql/methods/finitedifferences/parallelevolver.hpp>`
Include dependency graph for fdtypedefs.hpp:

## Typedefs

typedef FiniteDifferenceModel < CrankNicolson < TridiagonalOperator > > | StandardFiniteDifferenceModel
| default choice for finite-difference model
typedef FiniteDifferenceModel < ParallelEvolver < CrankNicolson < TridiagonalOperator > > > | StandardSystemFiniteDifferenceModel
| default choice for parallel finite-difference model
typedef StepCondition< Array > | StandardStepCondition
| default choice for step condition
typedef CurveDependentStepCondition < Array > | StandardCurveDependentStepCondition

## Detailed Description

default choices for template instantiations